claw::const_pair_second< Pair > Class Template Reference

Fuction object to get the second element of a std::pair. More...

`#include <functional.hpp>`

Inheritance diagram for claw::const_pair_second< Pair >:

## Public Member Functions

template<typename F, typename S>
| const_pair_second (const second< F, S > &)
Public Member Functions inherited from claw::const_second< Pair::first_type, Pair::second_type >
const Pair::second_type & | operator() (const std::pair< Pair::first_type, Pair::second_type > &p) const

## Detailed Description

template<class Pair>
class claw::const_pair_second< Pair >

Fuction object to get the second element of a std::pair.

Remarks
  Contrary to claw::second, the template argument is a std::pair.

Author
  Julien Jorge

Definition at line 152 of file functional.hpp.

## Constructor & Destructor Documentation

## const_pair_second() [1/2]

template<class Pair>

claw::const_pair_second< Pair >::const_pair_second | ( |  | ) |

inline

Definition at line 156 of file functional.hpp.

## const_pair_second() [2/2]

template<class Pair>
template<typename F, typename S>

claw::const_pair_second< Pair >::const_pair_second | ( | const second< F, S > & |  | ) |

inline

Definition at line 159 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp